osl::misc::BinaryReader< T >::State< T > Struct Template Reference

## Public Member Functions

| State (std::istream &is)
bool | read_vector (std::vector< T > &data)

## Public Attributes

boost::iostreams::filtering_streambuf< boost::iostreams::input > | filter
std::unique_ptr< std::istream > | in
std::unique_ptr< boost::archive::text_iarchive > | ia

## Detailed Description

template<class T>
template<class T>
struct osl::misc::BinaryReader< T >::State< T >

Definition at line 65 of file binaryIO.cc.

## Constructor & Destructor Documentation

## State()

template<class T>
template<class T>

osl::misc::BinaryReader< T >::State< T >::State | ( | std::istream & | is | ) |

inline explicit

Definition at line 70 of file binaryIO.cc.

References filter, ia, and in.

## Member Function Documentation

## read_vector()

template<class T>
template<class T>

bool osl::misc::BinaryReader< T >::State< T >::read_vector | ( | std::vector< T > & | data | ) |

inline

Definition at line 79 of file binaryIO.cc.

References in.

## Member Data Documentation

## filter

template<class T>
template<class T>

boost::iostreams::filtering_streambuf<boost::iostreams::input> osl::misc::BinaryReader< T >::State< T >::filter

Definition at line 67 of file binaryIO.cc.

Referenced by State().

## ia

template<class T>
template<class T>

std::unique_ptr<boost::archive::text_iarchive> osl::misc::BinaryReader< T >::State< T >::ia

Definition at line 69 of file binaryIO.cc.

Referenced by State().

## in

template<class T>
template<class T>

std::unique_ptr<std::istream> osl::misc::BinaryReader< T >::State< T >::in

Definition at line 68 of file binaryIO.cc.

Referenced by read_vector(), and State().

The documentation for this struct was generated from the following file:

- binaryIO.cc